### Method

# FwupdPlugin Device get_parent_guids

since: 1.0.8

#### Declaration [src]

    GPtrArray*
    fu_device_get_parent_guids (
      FuDevice* self
    )

#### Description [src]

Gets any parent device GUIDs. If a device is added to the daemon that matches any GUIDs added from `fu_device_add_parent_guid()` then this device is marked the parent of `self`.

Available since: 1.0.8

#### Return value

Type: An array of `utf8`

A list of GUIDs.

The returned data is owned by the instance.
Each element is a NUL terminated UTF-8 string.